import 'package:flutter/cupertino.dart';

import '../utils/enums.dart';

class BaseVM extends ChangeNotifier {
  ViewState _state = ViewState.idle;
  bool isInternetConnection = true;

  ViewState get state => _state;

  String error = "";

  void setOnlyState(ViewState viewState) {
    _state = viewState;
  }

  void setState(ViewState viewState) {
    _state = viewState;
    notifyListeners();
  }
}
